List Teams – Management API – MediaKind
List Teams
get https://app.mk.io/api/v1/organization/teams
Returns details of all Teams.
RBAC Capability Required: core.team.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Response
200 A list of all teams
- kind string Required
The kind of record.
- value list of objects TeamGetSchema Required
List of teams.
kind string Optional
The kind of record.
metadata object TeamMetadataSchema Required
Team metadata.
id string Required format: uuid
The ID of the resource
name string Optional
The name of the resource
spec object TeamSpecSchemaRead Required
Team specification.
description string Optional 0-256 characters
A description of the team.
members map from strings to object TeamMemberSchemaRead Optional
The list of members.
[any key] object
email string Required
The email address of the team member
isTeamAdmin boolean Required
Does this user have the ability to edit this team
name string Required
The name of the team member
scopes map from strings to object TeamScopeSchema Optional
The set of scopes this team has access to, and the roles on each.
[any key] object
roles list of strings Required
The names of the roles.
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
401 Unauthorized
403 Forbidden
404 Not Found
429 Too Many Requests
500 Internal Server Error